#region Using directives

using JadEngine.Scene;

#endregion

namespace JadEngine.Scene
{
	/// <summary>
	/// This is a node that has Transformation, but not affect to the visibility
	/// It is used, for example to focus a light to an object. This dummy does not
	/// render, neither used for computing the hierarchical boxes or spheres.
	/// </summary>
	public class JDummy : JNode
	{
		#region Constructors

		/// <summary>
		/// Default constructor
		/// </summary>
		/// <param name="name">TODO</param>
		public JDummy(string name)
			: base(name)
		{ }

		#endregion
    }
}
