#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace JadEngine.Animation.Skin
{
    class JVertexToBoneBinding
    {
        #region Fields

        /// <summary>
        /// Vertex index in geometry storage
        /// </summary>
        private long vertexIndex;

        /// <summary>
        /// Weights for multiple bones
        /// </summary>
        private JBoneWeight[] weights;

        #endregion

        #region Constructors
        /// <summary>
        /// Default constructor
        /// </summary>
        public JVertexToBoneBinding()
        {
            vertexIndex = -1;
            weights = null;
        }

        #endregion

        #region Properties

        /// <summary>
        /// TODO
        /// </summary>
        public long VertexIndex
        {
            get { return vertexIndex; }
            set { vertexIndex = value; }
        }

        /// <summary>
        /// TODO
        /// </summary>
        public JBoneWeight[] Weights
        {
            get { return weights; }
            set { weights = value; }
        }

        #endregion
    }
}
