#region VAR

float Kd = 0.8;
float Ks = 0.2;
float roughness = 0.7;
float sharpness = 0.9;

#end VAR

#region VS

#end VS

#region PS
{
	float diff = 0.0f;
	
	if(Uniform_affectDiffuse)
	{
		NdotL = diffuse(N, L);
		
		diff = NdotL;
	}

	if(Uniform_affectSpecular)
	{
		float3 R = reflect(-V, N);
		float RDotL = max(0, dot(R, L));
		
		float sharpDelta = 0.5 * (1 - sharpness);
		float spec = smoothstep(0.5 - sharpDelta, 0.5 + sharpDelta, pow(RDotL, 1/roughness));

		fragmentColor = LIGHT_Color * MATERIAL_Diffuse * (Kd * diff + Ks * spec);
	}
	else
	{
		fragmentColor = LIGHT_Color * MATERIAL_Diffuse * Kd * diff;
	}
}
#end PS
