#region VAR

float Kd = 1.0;
float Ks = 1.0;
float backscatter = 0.1;
float edginess = 10;
float roughness = 0.7;

#end VAR

#region VS

#end VS

#region PS
{
	NdotL = diffuse(N, L);
	
	float diff = NdotL;

	float cosine = max(0, dot(L, V));
	
	float4 shiny = LIGHT_Color * specularColor * pow(cosine, 1/roughness) * backscatter;
	cosine = max(0, dot(N, V));
	float sine = sqrt(1 - (cosine * cosine));
	shiny += LIGHT_Color * specularColor * pow(sine, edginess) * NdotL;

	fragmentColor = MATERIAL_Diffuse * Kd * diff + Ks * shiny;
}
#end PS
