#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

using JadEngine.Animation.Skeleton;

#endregion

namespace JadEngine.Animation
{
    class JAnimationBoneKey
    {
        #region Fields

        /// <summary>
        /// Reference to joints that are animated
        /// </summary>
        private JJoint[] joints;

        #endregion

        #region Constructors

        /// <summary>
        /// Default constructor
        /// </summary>
        public JAnimationBoneKey()
        {
            joints = null;
        }

        #endregion

        #region Properties

        /// <summary>
        /// TODO
        /// </summary>
        public JJoint[] Joints
        {
            get { return joints; }
            set { joints = value; }
        }

        #endregion
    }
}
