#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace JadEngine.Animation.Skin
{
    class JBoneWeight
    {
        #region Fields

        /// <summary>
        /// Reference to bone by name (to keep it independent)
        /// </summary>
        private string bone;

        /// <summary>
        /// Bone's weight
        /// </summary>
        private float weight;

        #endregion

        #region Constructors

        /// <summary>
        /// Default constructor
        /// </summary>
        public JBoneWeight()
        {
            bone = "";
            weight = 0.0f;
        }

        /// <summary>
        /// Data constructor
        /// </summary>
        /// <param name="bone">Name of the bone</param>
        /// <param name="weight">Bone's weight</param>
        public JBoneWeight(string bone, float weight)
        {
            this.bone = bone;
            this.weight = weight;
        }

        #endregion

        #region Properties

        /// <summary>
        /// TODO
        /// </summary>
        public string Bone
        {
            get { return bone; }
            set { bone = value; }
        }

        /// <summary>
        /// TODO
        /// </summary>
        public float Weight
        {
            get { return weight; }
            set { weight = value; }
        }

        #endregion
    }
}
