
/*
 * 29/03/08
 *	-Renamed from JEngineElement to JObject
 */

namespace JadEngine
{
	/// <summary>
	/// This class implements the IJEngineElement interface and is the base class for 
	/// the engine elements that are comming with the engine.
	/// </summary>
	public class JObject : IJObject
	{
		private JId _id;

		/// <summary>
		/// Initializes a new instance of the <see cref="JEngineElement"/> class.
		/// </summary>
		public JObject()
		{
			_id = Jad.GetUniqueID();
		}

		/// <summary>
		/// Gets the unique ID.
		/// </summary>		
		public JId ID
		{
			get { return _id; }
		}		
	}
}