#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

using System.IO;
using System.Xml.Serialization;

using JadEngine;
using JadEngine.Core;
using JadEngine.Scene;
using JadEngine.Video;
using JadEngine.Tools;
using JadEngine.Animation;

using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;

#endregion

namespace JadEngine.Import.Collada
{
    /// <summary>
    /// Every light must have the collada and the jad light
    /// This is the class used to insert lights into the list
    /// </summary>
    public class JColladaLight
    {
        /// <summary>
        /// The jad light created
        /// </summary>
        public JBaseLight LightJad;

        /// <summary>
        /// The collada light
        /// </summary>
        public light LightCollada;

    }

}
