#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

using System.IO;
using System.Xml.Serialization;

using JadEngine;
using JadEngine.Core;
using JadEngine.Scene;
using JadEngine.Video;
using JadEngine.Tools;
using JadEngine.Animation;

using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;

#endregion

namespace JadEngine.Import.Collada
{
    /// <summary>
    /// Every mesh must have the collada and the jad mesh
    /// This is the class used to insert meshes into the list
    /// </summary>
    public class JColladaMesh
    {
        /// <summary>
        /// The mesh created in Jad
        /// </summary>
        public JMesh MeshJad;

        /// <summary>
        /// The collada mesh
        /// </summary>
        public mesh MeshCollada;

        /// <summary>
        /// The material ID. Not used
        /// </summary>
        public string MaterialID;

    }

}
