using System;
using System.Collections.Generic;
using System.Text;

namespace JadEngine.Sound
{
	/// <summary>
	/// Private class implementing default creator callback for the no-op sound service
	/// </summary>
	class JSoundServiceCreatorCallback
	{
		/// <summary>
		/// Create our <see cref="JSoundServiceBase"/>
		/// </summary>
		public static T CreateService<T>()
		 where T : IJSoundService
		{
			IJSoundService i = new JSoundServiceBase();
			return (T) i;
		}
	}
}
