using System;
using System.Collections.Generic;
using System.Text;

namespace JadEngine.Video
{
	public static partial class JFaceDelegates
	{
		/// <summary>
		/// Delegate used to see if more faces should be tested
		/// </summary>
		/// <param name="face">Face information</param>
		public delegate bool ForEachFaceCB(JForEachFaceParams face);

		/// <summary>
		/// TODO
		/// </summary>
		internal static ForEachFaceCB GenerateTreeCollisionDelegate = new ForEachFaceCB(GenerateTreeCollisionCB);

		/// <summary>
		/// TODO
		/// </summary>
		internal static ForEachFaceCB GenerateFaceNormalsDelegate = new ForEachFaceCB(GenerateFaceNormalsCB);

		/// <summary>
		/// TODO
		/// </summary>
		internal static ForEachFaceCB FaceDelegate = new ForEachFaceCB(FaceCB);

		/// <summary>
		/// TODO
		/// </summary>
		internal static ForEachFaceCB IntersectDelegate = new ForEachFaceCB(IntersectCB);

		/// <summary>
		/// TODO
		/// </summary>
		internal static ForEachFaceCB ComputeTangentDelegate = new ForEachFaceCB(JFaceDelegates.ComputeTangentCB);
	}
}
