using System;
using System.Collections.Generic;
using System.Text;

/* 
 * 17/03/08
 *	-Initial cleanup
 */

namespace JadEngine.Video
{
	/// <summary>
	/// The texture types supported by the engine.
	/// </summary>
	public enum JTextureType
	{
		/// <summary>
		/// A 2D texture.
		/// </summary>
		TwoD,

		/// <summary>
		/// A Cube Texture.
		/// </summary>
		Cube,

		/// <summary>
		/// A Volume (3D) Texture.
		/// </summary>
		Volume
	}

}
