#region Using Directives
using System;
using System.Collections.Generic;
using System.Text;
#endregion

/*
 * 04/02/08
 *	-Initial cleanup	
 */

namespace JadEngine.Video
{
	/// <summary>
	/// Helper class that keeps track of performance stats. Currently only has a property for the FPS, but will be extended soon. 
	/// </summary>
	public class JStats
	{
		//TODO: Extend with other data.
		
		#region Fields

		/// <summary>
		/// Holds the fps string.
		/// </summary>
		private string _fps;

		#endregion

		#region Properties

		/// <summary>
		/// Gets the frames per second as a formatted string.
		/// </summary>
		public string Fps
		{
			get { return _fps; }
		}

		#endregion

		#region Methods

		/// <summary>
		/// Updates the stats.
		/// </summary>
		internal void Update()
		{
			_fps = string.Format(Jad.Timer.Fps.ToString("f2", System.Globalization.CultureInfo.CurrentUICulture));
		}

		#endregion
	}
}
