//----------------------------------------------------------------------------------
//***********Las siguientes variables DEBEN tener EXACTAMENTE este nombre***********

texture texturaDiffuse;              // Mapa de textura diffuse
bool mask;

//----------------------------------------------------------------------------------

sampler map_diffuse = 
sampler_state
{
    Texture = <texturaDiffuse>;
    MipFilter = LINEAR;
    MinFilter = LINEAR;
    MagFilter = LINEAR;

    AddressU = Wrap;
    AddressV = Wrap;
};

struct PS_INPUT
{
   float2 texcoord0:     TEXCOORD0;
};

struct PS_OUTPUT
{
   float4 color0:       COLOR0;
};

PS_OUTPUT PShader( PS_INPUT pin )
{
    PS_OUTPUT pout;
   

    // Recogemos los valores de la textura.
	
    pout.color0 = tex2D( map_diffuse, pin.texcoord0 );
    
    if(mask)
        pout.color0.a *= pout.color0.r * 0.93f;


   return pout;
}

technique RenderScene
{
    pass p0
    {
        PixelShader = compile ps_1_1 PShader();
    }
}

