//SamplersStart. Do not remove this line

// definimos las variables que utilizaremos en los shaders asociadas a los mapas
// Siempre utilizaremos diffuse, as que se ha aadido en este include

map mapDiffuse;
texture textureDiffuse;
texture textureNormal;
texture textureReflection;
texture textureRefraction;
texture textureEmissive;
texture textureProjector;
texture textureShadow;
texture textureLightMap;
texture textureSpecular;
texture textureBackBuffer;
texture textureHeight;
texture textureDetailMask;
texture textureParallaxValues;

sampler base_map: register(s0) =
sampler_state
{
	Texture		= <textureDiffuse>;
};

sampler specular_map: register(s1) =
sampler_state
{
	Texture		= <textureSpecular>;
};

sampler normal_map: register(s2) =
sampler_state
{
	Texture		= <textureNormal>;
};

sampler projector_map: register(s3) =
sampler_state
{
	Texture		= <textureProjector>;
};

sampler reflection_map: register(s4) =
sampler_state
{
	Texture		= <textureReflection>;
};

sampler refraction_map: register(s5) =
sampler_state
{
	Texture		= <textureRefraction>;
};

sampler shadow_map: register(s6) =
sampler_state
{
	Texture		= <textureShadow>;
};

sampler emissive_map: register(s6) =
sampler_state
{
	Texture		= <textureEmissive>;
};

sampler BackBuffer_map: register(s7) =
sampler_state
{
	Texture		= <textureBackBuffer>;
};

sampler detailMask_map: register(s7) =
sampler_state
{
	Texture		= <textureDetailMask>;
};

sampler ParallaxValues_map: register(s5) =
sampler_state
{
	Texture		= <textureParallaxValues>;
};

//SamplersEnd. Do not remove this line
