#region Using Statements

using Jade.Ai.Graphs;

#endregion

namespace AITestApplication.Graphs
{
	public class Edge : IEdge<Vertex>
	{
		#region IEdge<Vertex> Members

		private Vertex _source;
		public Vertex Source
		{
			get { return _source; }
		}

		private Vertex _target;
		public Vertex Target
		{
			get { return _target; }
		}

		#endregion

		#region Constructors

		public Edge(Vertex source, Vertex target)
		{
			_source = source;
			_target = target;
		}

		#endregion
	}
}
