#region Using Statements

using System.Drawing;

using Jade.Ai.Graphs;

#endregion

namespace AITestApplication.Graphs
{
	public class HeuristicVertex : IHeuristicVertex<Point>
	{
		#region Fields and Properties

		private string _label;
		public string Label
		{
			get { return _label; }
			set { _label = value; }
		}

		private Point _position;
		public Point HeuristicData
		{
			get { return _position; }
		}

		#endregion

		#region Constsructors

		public HeuristicVertex(string label, Point position)
		{
			_label = label;
			_position = position;
		}

		#endregion
	}
}
