#region Using Statements

using Jade.Ai.Graphs;

#endregion

namespace AITestApplication.Graphs
{
	public class WeightedEdge : IWeightedEdge<HeuristicVertex>
	{
		#region Fields and Properties

		private HeuristicVertex _source;
		public HeuristicVertex Source
		{
			get { return _source; }
		}

		private HeuristicVertex _target;
		public HeuristicVertex Target
		{
			get { return _target; }
		}

		private double _weight;
		public double Weight
		{
			get { return _weight; }
		}

		#endregion

		#region Constructors

		public WeightedEdge(HeuristicVertex source, HeuristicVertex target, double weight)
		{
			_source = source;
			_target = target;
			_weight = weight;
		}

		#endregion
	}
}
