using System;
using System.Collections.Generic;
using System.Text;
using Jade.Rendering.States;
using Jade.Core;
using Jade.Rendering.Enums;

namespace Jade.Rendering
{
	/// <summary>
	/// The display mode
	/// </summary>
	public struct DisplayMode
	{
		/// <summary>
		/// The Format
		/// </summary>
		public Format Format;
		/// <summary>
		/// The Height
		/// </summary>
		public int Height;
		/// <summary>
		/// The Refresh Rate
		/// </summary>
		public int RefreshRate;
		/// <summary>
		/// The Width
		/// </summary>
		public int Width;
	}
}
