using System;
using System.Collections.Generic;
using System.Text;

namespace Jade.Rendering.Enums
{
    /// <summary>
    /// Filtering options during texture sampling.
    /// </summary>
    public enum FilterSampling
    {
        /// <summary>
        /// No Filtering
        /// </summary>
        Point=1,

        /// <summary>
        /// Linear filtering
        /// </summary>
        Linear=2,

        /// <summary>
        /// Anisotropic filtering
        /// </summary>
        Anisotropic=3,
    }
}
