#region Using Directives

using System.Collections.Generic;

#endregion

namespace JadEngine.AI.NeuralNets
{
	public class Connection
	{
		#region Fields

		protected internal Neuron start;
		protected internal Neuron end;
		protected internal Dictionary<ConnectionData, float> data;

		#endregion

		#region Constructors

		public Connection(Neuron start, Neuron end)
		{
			this.start = start;
			this.end = end;
			
			data = new Dictionary<ConnectionData, float>();
		}
		
		#endregion

		#region Properties

		public Neuron Start
		{
			get { return start; }
			set { end = value; }
		}

		public Neuron End
		{
			get { return end; }
			set { end = value; }
		}

		public Dictionary<ConnectionData, float> Data
		{
			get { return data; }
		}
		
		#endregion
	}
}
