#region Using Directives

using System.Collections.Generic;

#endregion

namespace JadEngine.AI.NeuralNets
{
	public class Layer
	{
		#region Fields

		protected internal LayerType type;
		protected internal List<Neuron> neurons;

		#endregion

		#region Constructors
		
		public Layer(LayerType type)
		{
			this.type = type;
			neurons = new List<Neuron>();
		}

		#endregion

		#region Properties

		public LayerType Type
		{
			get { return type; }
			set { type = value; }
		}

		public List<Neuron> Neurons
		{
			get { return neurons; }
		}
		
		#endregion
	}
}
