namespace JadEngine.AI.NeuralNets
{
	public class Pattern
	{
		#region Fields
		
		protected internal float[] inputs;
		protected internal float[] outputs;

		#endregion

		#region Constructors

		public Pattern(int numberInputs, int numberOutputs)
		{
			inputs = new float[numberInputs];
			outputs = new float[numberOutputs];
		}
		
		#endregion

		#region Properties

		public float[] Inputs
		{
			get { return inputs; }
		}

		public float[] Outputs
		{
			get { return outputs; }
		}

		#endregion
	}
}
