#region Using Directives

using System;
using System.Collections;
using System.Xml;

#endregion

namespace JadEngine.Tools
{
	/// <summary>
	/// TODO
	/// </summary>
	public static class JXmlHandler
    {
        #region Methods

		/// <summary>
		/// TODO
		/// </summary>
		/// <param name="data">TODO</param>
		/// <param name="xmlName">TODO</param>
        public static void LoadXMLToHash(Hashtable data, string xmlName)
		{
            XmlDocument document;

            try
            {
            	// Load the xml file
                document = new XmlDocument();
                document.Load(xmlName);

            	// Load the xml values to the hash table
                LoadNodes(document, data, document.ChildNodes, string.Empty);
            }

            catch (Exception excepcion)
            {
                throw excepcion;
            }
        }

		/// <summary>
		/// TODO
		/// </summary>
		/// <param name="document">TODO</param>
		/// <param name="data">TODO</param>
		/// <param name="nodeList">TODO</param>
		/// <param name="path">TODO</param>
		private static void LoadNodes(XmlDocument document, Hashtable data, XmlNodeList nodeList, string path)
		{
			string rutaFinal, xPathQuery;
			XmlNodeList resultadoQuery;

			// For each node test if its root or not
			for (int i = 0; i < nodeList.Count; i++)
			{
				// Its root: recursive call increasing the path to get to this node
				if (nodeList.Item(i).HasChildNodes)
					LoadNodes(document, data, nodeList.Item(i).ChildNodes, path + nodeList.Item(i).Name + ".");

				// Leaf node
				else
				{
					// If theres a path to get to the node test if its repeated
                    if (path.Length != 0)
                    {
                    	// XPath query to see if the node is repeated in the document
                        rutaFinal = path.Substring(0, path.Length - 1);
                        xPathQuery = rutaFinal.Replace('.', '/');
                        resultadoQuery = document.SelectNodes(xPathQuery);

                    	// The node is repeated, save it in a array
                        if (resultadoQuery.Count > 1)
                        {
                        	// Its the first node, create the array
                            if (data[rutaFinal] == null)
                                data.Add(rutaFinal, new ArrayList());

                            // Add the node to the list
                            ((ArrayList)data[rutaFinal]).Add(nodeList.Item(i).InnerText);
                        }

                        // Unique node, add it
                        else
                            data.Add(path.Substring(0, path.Length - 1), nodeList.Item(i).InnerText);
                    }

                    else
                        data.Add(nodeList.Item(i).Name, nodeList.Item(i).InnerText);
                }
			}
        }

        #endregion
    }
}
