#region Using Directives

using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.IO;

#endregion

namespace Viewer
{
    static class Program
	{
		#region Methods

		// <summary>
        /// Main method
        /// </summary>
        [STAThreadAttribute]
        static void Main()
        {
			// Change to the right directory (the one that contains the Configuration.xml file)
			JadEngine.Core.JPath.ChangeDirectory();

			StreamWriter sw = new StreamWriter("out.txt");
            Console.SetOut(sw);

            JViewer main = null;

            main = new JViewer();

            main.MainLoop();

            sw.Close();
		}

		#endregion
	}
}