#region Using directives

using System;

#endregion

namespace JadEngine.Core
{
	/// <summary>
    /// This class maintains the enum elements of the shader
    /// </summary>
	public class JFragmentEnum
	{
		#region Fields
    	
    	/// <summary>
    	/// TODO
    	/// </summary>
		public string Name;
    	
    	/// <summary>
    	/// TODO
    	/// </summary>
        public string[] Values;

		#endregion

		#region Constructors
    	
		/// <summary>
    	/// TODO
    	/// </summary>
    	/// <param name="name">TODO</param>
    	/// <param name="numElements">TODO</param>
		public JFragmentEnum(string name, int numElements)
        {
            Name = name;
            Values = new string[numElements];
		}

		#endregion

		#region Methods
    	
		/// <summary>
        /// Returns the index of a searched value
        /// </summary>
        /// <param name="value">Value to search</param>
        /// <returns>The index in the array or -1 if not found</returns>
        public int IndexOf(string value)
        {
            for (int c = 0; c < Values.Length; c++)
                if (value == Values[c])
                	return c;

            return -1;
		}

		#endregion
	}
}
