#region VAR

float Kd = 0.8;
float Ks = 0.5;
float roughness = 0.02;
float useTangent = false;

#end VAR

#region VS

#end VS

#region PS
{
	float NDotL = diffuse(N, L);

	float3 H = normalize(L + V);
	float HDotT = dot(H, normalize(useTangent ? wTangent : wBinormal));
	float aniso = pow(1 - HDotT * HDotT, 1/roughness);
	
	fragmentColor = LIGHT_Color * ( MATERIAL_Diffuse * Kd * NDotL + specularColor * NDotL * Ks * aniso / max(0.1, dot(V, N)) );
}
#end PS
