#region VS
{
}
#end VS

#region PS
{
	float3 H = normalize(L + V);

	// TODO: Esto debera ser una constante
	float Roughness = 0.32f;

	float tan2NH = -pow(tan(acos(dot(N, H))), 2);

	float RMS2 = pow(Roughness, 2);

	float density = 6.2831f * RMS2;

	float firstTerm = exp(tan2NH / RMS2) / density;

	float cosTheta = dot(N, L);
	float cosDelta = dot(N, V);

	float secondTerm = 1.0f / sqrt(cosTheta * cosDelta);

	float irradiance = max(0.0f, cosTheta);

	float3 specularTerm = specularColor * firstTerm * secondTerm;

	fragmentColor = (LIGHT_Color * base * MATERIAL_Diffuse + specularTerm) * irradiance;
	
}
#end PS