#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

using JadEngine.Mathematics;

#endregion

namespace JadEngine.Animation
{
    /// <summary>
    /// TODO
    /// </summary>
    public class JAnimationKey
    {
        #region Fields

		/// <summary>
		/// Name of the key
		/// </summary>
		protected string _name;

        #endregion

        #region Constructors

        /// <summary>
        /// Default Constructor
        /// </summary>
        public JAnimationKey()
        {
			_name = "";
        }

        #endregion

        #region Properties

		/// <summary>
		/// TODO
		/// </summary>
		public string Name
		{
			get { return _name; }
			set { _name = value; }
		}

        #endregion

        #region Methods

        /// <summary>
        /// Computes current keyframe
        /// </summary>
		/// <param name="key">Source key for interpolation</param>
        /// <param name="percent">Weight</param>
		/// <param name="type">Interpolation type</param>
        public virtual void ComputeKeyframe(JAnimationKey key, float percent, JInterpolationType type) { }
        
        #endregion

    }
}
