#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.DirectX;
using System.Drawing;

#endregion

namespace JadEngine.Animation
{
    class JAnimationTransformationKey
    {
        #region Fields

        /// <summary>
        /// Position for the key
        /// </summary>
        private Vector3 position;

        /// <summary>
        /// Orientation for the key
        /// </summary>
        private Quaternion rotation;

        #endregion

        #region Constructors

        /// <summary>
        /// Default Constructor
        /// </summary>
        public JAnimationTransformationKey()
        {
            position = new Vector3();
            rotation = new Quaternion();
        }

        #endregion

        #region Properties

        /// <summary>
        /// TODO
        /// </summary>
        public Vector3 Position
        {
            get { return position; }
            set { position = value; }
        }

        /// <summary>
        /// TODO
        /// </summary>
        public Quaternion Rotation
        {
            get { return rotation; }
            set { rotation = value; }
        }

        #endregion
    }
}
