#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

using System.IO;
using System.Xml.Serialization;

using JadEngine;
using JadEngine.Core;
using JadEngine.Scene;
using JadEngine.Video;
using JadEngine.Tools;
using JadEngine.Animation;

using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;

#endregion

namespace JadEngine.Import.Collada
{
    /// <summary>
    /// Every camera must have the collada and the jad camera
    /// </summary>
    public class JColladaCamera
    {
        /// <summary>
        /// The jad camera created
        /// </summary>
        public JCamera CameraJad;

        /// <summary>
        /// The collada camera
        /// </summary>
        public camera CameraCollada;

    }

}
