using System;

namespace JadEngine.Scene
{
    /// <summary>
    /// The type of projector.
    /// </summary>
    public enum JProjectorType
    {
        /// <summary>
        /// A projector that projects its picture in one direction 
        /// like a real projector.
        /// </summary>
        Sampler2D = 0,

        /// <summary>
        /// A projector that projects its picture in 6 directions like if you
        /// would put a candle into a painted glass cube.
        /// </summary>
        SamplerCube = 1
    }
}