#region Using directives

using System;
using System.IO;
using System.Collections.Generic;

using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;

using JadEngine.Mathematics.Geometry;
using JadEngine.Physics;
using JadEngine.Scene;
using JadEngine.Tools;
using JadEngine.Core;
using JadEngine.Collections;

#endregion

namespace JadEngine.Video
{
	/// <summary>
	/// Used to compute the intersection
	/// </summary>
	public class JIntersectParams
	{
		#region Fields

		/// <summary>
		/// TODO
		/// </summary>
		public Vector3 Start;

		/// <summary>
		/// TODO
		/// </summary>
		public Vector3 Dir;

		/// <summary>
		/// TODO
		/// </summary>
		public float Distance;

		/// <summary>
		/// TODO
		/// </summary>
		public int NumFaceCollision;

		/// <summary>
		/// TODO
		/// </summary>
		public bool BackFaceCulling;

		#endregion

		#region Constructors

		/// <summary>
		/// Default constructor
		/// </summary>
		/// <param name="start">TODO</param>
		/// <param name="dir">TODO</param>
		/// <param name="backFaceCulling">TODO</param>
		public JIntersectParams(Vector3 start, Vector3 dir, bool backFaceCulling)
		{
			Start = start;
			Dir = dir;
			BackFaceCulling = backFaceCulling;
			Distance = float.MaxValue;
			NumFaceCollision = -1;
		}

		#endregion
	}

}
