#region VAR

int		wave_WaveType;
float4	wave_WaveParams;
float	wave_Divisions;

#end VAR

#region VS

	Wave wave;
	wave.type = wave_WaveType;
	wave.base = wave_WaveParams.x;
	wave.amplitude = wave_WaveParams.y;
	wave.phase = wave_WaveParams.z;
	wave.frequency = wave_WaveParams.w;

	float div = 1.0f / wave_Divisions;

	float spread = (finalPosition.x + finalPosition.y + finalPosition.z) * div;

	wave.phase = wave.phase + spread;

	float y = evalWave(wave, ENV_Time);

	finalPosition.xyz += finalNormal * y;

#end VS