#region PS
{
	
	float NdotL = dot(N, L);
	float NdotV = dot(N, V);

	float irradiance = max(0.0f, NdotL);
   
   	// Aqu se debera acceder al LUT y no al normal map!
	// TODO: Aadir soporte para TextureShaders
	// NOTA: el sampler no tiene que tener filtrado de textura y el adressing tiene que ser Wrap
	float angleTerm = tex2D(normal_map, 0.5f * float2(NdotV, NdotL) + 0.5f); 
   
	float angleDifference = max(0.0f, dot(normalize(V - N * NdotV), normalize(L - N * NdotL)));

	// TODO: Esto debera ser una constante
	float RoughnessSq = 0.3f;

	float A = 1.0f - (0.5f * RoughnessSq) / (RoughnessSq + 0.33f);
	float B = (0.45f * RoughnessSq) / (RoughnessSq + 0.09f);
   
	// Fragment color
	fragmentColor.rgb = LIGHT_Color * base * MATERIAL_Diffuse * (A + B * angleDifference * angleTerm) * irradiance;

}
#end PS