#region Using Directives

import System
import JadEngine
import JadEngine.Core
import JadEngine.Scene
import JadEngine.Video
import JadEngine.Input
import JadScript

#endregion

public class StandardKeyEventHandler:
	
	#region Properties
	public ShowHelp as bool:
		get:
			return JadScriptOptions.GetObjectValue('ShowHelp')
		set:
			JadScriptOptions.SetObjectValue('ShowHelp', value)

	#endregion
	
	#region Constructor
	public def constructor():
		ShowHelp = true

	#endregion
	
	#region Methods
	
	public def Shutdown():
		JadScriptOptions.Shutdown = true

	
	public def ReloadScript():
		JadScriptOptions.Reinitialize = true

	
	public def ToggleGizmos():
		Jad.Scene.ShowGizmos = (not Jad.Scene.ShowGizmos)

	
	public def ToggleHelp():
		ShowHelp = (not ShowHelp)
	
	#endregion

