#pragma once

#include "D3D.h"

using namespace System;

using namespace Jade::Core;
using namespace Jade::Resources;
using namespace Jade::Rendering;

using namespace Pluto::Core;

namespace JadeRenderingDx9 {

	ref class DXEffect
	{

	public:
		property ID3DXEffect* Effect;
		property Jade::Rendering::Shader^ Shader;
		
		DXEffect(Jade::Rendering::Shader^ shader, ID3DXEffect* effect)
		{
			this->Effect = effect;
			this->Shader = shader;
		}

		virtual ~DXEffect(void)
		{
			FREEDX(Effect);
			Shader = nullptr;
		}
	};

}