#pragma once

#include "DXAdapter.h"

namespace JadeRenderingDx9 {

	ref class DXFixedFunctionAdapter : public DXAdapter
	{
	public:
		DXFixedFunctionAdapter(unsigned int ordinalNumber, IPlutoRootServiceProvider^ provider, IConfigurationService^ configurationService)
			:DXAdapter(ordinalNumber, provider, configurationService)
		{
			// Fixed does not support declarations
			ConvertDeclarationToFVF = true;
		}
		virtual ~DXFixedFunctionAdapter(void);

		virtual void Render(RenderList^ originalRenderList, Camera^ camera, Window^ window) override;

	private:
		void SetRenderState(RenderState^ state, RenderList^ renderList);
		BOOL  SetupLight(D3DLIGHT9 * dxLight, LightRenderList^ light);
	};
}