#pragma once

#include "D3D.h"

using namespace System;

using namespace Jade::Rendering;

using namespace Pluto::Core;
using namespace Pluto::Configuration;

namespace JadeRenderingDx9 {

	ref class DXFixedFunctionRenderer : public IRenderingSystem
	{
	public:
		static property String^ RendererName
		{
			String^ get()
			{
				return gcnew String("DX9 Fixed Function Renderer");
			}
		}

		// Get the Renderer name
		virtual property String^ Name
		{
			String^ get()
			{
				return RendererName;
			}
		}

		virtual property IList<Adapter^>^ Adapters
		{
			IList<Adapter^>^ get()
			{
				return _adapters;
			}
		}

		DXFixedFunctionRenderer(IPlutoRootServiceProvider ^provider, IConfigurationService ^config);

		virtual ~DXFixedFunctionRenderer(void);
	private:
		List<Adapter^> ^_adapters;
	};

}