#pragma once

using namespace System;
using namespace Jade::Rendering;

namespace JadeRenderingDx9 {

	ref class DXAdapter;

	ref class DXOutput : public OutputDevice
	{
	private:
		DXAdapter^ _dxAdapter;
	public:
		property DXAdapter^ dxAdapter
		{
			DXAdapter^ get()
			{
				return _dxAdapter;
			}
		}

		DXOutput(DXAdapter^ adapter);

		virtual Window^ InitializeWindow(int width, int height, IntPtr windowPointer) override;
	};

}