using System;

namespace Jade.Rendering.Enums
{
	/// <summary>
	/// The FillMode used for the rasterizer
	/// </summary>
	public enum FillMode
	{
		/// <summary>
		/// Render the mesh only with silouette lines ( wireframe)
		/// </summary>
		WireFrame=2,

		/// <summary>
		/// Render the mesh will full shading
		/// </summary>
		Solid=3
	}
}
